function P = pdelta_mh_Cf(XC,CFcn_t,XPd,HomeSt,Params)

% returns NCSt x NALT matrix of exp(delta(i,j,t)) for fixed period t

global NALT Pvarn Cvarn NhomebInt HomebInt
global Int Int3

if isempty(XC) == 1
P = 0;

else
    
betaP = Params(1:Pvarn)';
betaC = Params(Pvarn+1:Pvarn+Int3)';
betaHbi = Params(Pvarn+Int3+1:Pvarn+Int3+NhomebInt)';
FE_CFcn_Est = [0;Params(Pvarn+Int3+1+NhomebInt:Pvarn+Int3+NALT-1+NhomebInt)];
FE = [0;Params(Pvarn+Int3+NALT+NhomebInt:Pvarn+Int3+2*NALT-2+NhomebInt)];
homeb = Params(Pvarn+Int3+2*NALT+NhomebInt-1);

% XC will be Cs x CVarn matrix
% XP will be Cs x PVarn matrix

Cs = size(XC,1);

% first take product characteristics
XProdr = repmat(XPd,Cs,1);
% order of indices: consumer, year, prod

% now generate interactions
XConr = reshape(XC,1,Cvarn*Cs);
XConr = repmat(XConr,NALT,1);
XConr = reshape(XConr,Cs*NALT,Cvarn);
% order of indices: consumer, year, prod

% create matrix made of columns reproducing p-level variables using in interaction
XProdM=[];
for i = 1:Cvarn
    XProdM =  [ XProdM XProdr(:,(Int(:,i)==1))]; % get columns according to columns of Int!
end

% create matrix made of columns reproducing c-level variables using in interaction
XConM=[];
for i = 1:Cvarn
    XConM = [ XConM repmat(XConr(:,i),1,sum(Int(:,i)))]; % make copies of c-level vars according to sum by col of Int
end


XInt = XProdM.*XConM;

uti = XProdr * betaP' + XInt * betaC'; % generate utility index

homeBM = (homeb*ones(NALT,Cs) + repmat(betaHbi*XC(:,logical(HomebInt))',NALT,1)) .* (repmat(HomeSt',NALT,1) == kron((1:NALT)',ones(1,Cs)));
Deltas = reshape(uti,NALT,Cs)+ homeBM + repmat(FE,1,Cs) + repmat(FE_CFcn_Est,1,Cs).*repmat(CFcn_t,1,NALT)' ; % Xuti is (NALT, NCS)

P = exp(Deltas)'; 

clear Cs XProdr XConr XProdM XConM XInt uti Deltas


end
